%define src_ver 0.3
%define languageenglazy Hungarian
%define languagecode hu
%define lc_ctype hu_HU

Summary:       %{languageenglazy} files for aspell
Name:          aspell-%{languagecode}
Version:       0.3
Release:       2mdk
Group:         System/Internationalization
Source:	       http://prdownloads.sourceforge.net/wordlist-hu/wordlist-hu-%{src_ver}.tar.bz2
URL:		   http://wordlist-hu.sourceforge.net
#Source:	       http://ftp.gnu.org/gnu/aspell/dict/%{languagecode}/aspell-%{languagecode}-%{src_ver}.tar.bz2
#URL:		   http://aspell.sourceforge.net/
License:	   GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

BuildRequires: aspell >= 0.50
BuildRequires: make
Requires:      aspell >= 0.50

# Mandrake Stuff
Requires:      locales-%{languagecode}
Provides:      aspell-dictionary
Provides:	   aspell-%{lc_ctype}

ExcludeArch:   ia64
Autoreqprov:   no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
#%setup -q -n %{name}-%{src_ver}
%setup -q -n wordlist-hu-%{src_ver}

%build
# don't use configure macro
#./configure
#
#%make

cp %{_datadir}/aspell/iso8859-2.dat .
echo -e "name\thu\ncharset\tiso8859-2\nspecial -\t-*-" > hu.dat
make wordlist
LC_CTYPE=hu_HU aspell --lang=hu --data-dir=. create master ./hu.rws < wordlist

echo -e "add hu.rws" > hu.multi
echo -e "add hu.multi" > magyar.alias
echo -e "add hu.multi" > hungarian.alias

%install
rm -fr $RPM_BUILD_ROOT

#%makeinstall_std

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/aspell
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/aspell

install -m 0644 hu.dat $RPM_BUILD_ROOT/%{_datadir}/aspell
install -m 0644 hu.rws $RPM_BUILD_ROOT/%{_libdir}/aspell
install -m 0644 hu.multi $RPM_BUILD_ROOT/%{_libdir}/aspell
install -m 0644 magyar.alias $RPM_BUILD_ROOT/%{_libdir}/aspell
install -m 0644 hungarian.alias $RPM_BUILD_ROOT/%{_libdir}/aspell

#cp doc/README README.%{languagecode}
#chmod 644 README Copyright README.%{languagecode}

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
#%doc README README.%{languagecode} Copyright
%doc README*
%dir %{_datadir}/aspell
%{_datadir}/aspell/*
%dir %{_libdir}/aspell
%{_libdir}/aspell/*

%changelog
* Tue Aug 05 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.3-2mdk
- added directories owning

* Fri Jul 18 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.3-1mdk
- first package for mandrake

